--- Portfile.orig	2014-04-10 16:24:00.000000000 -0600
+++ Portfile	2014-04-11 10:41:04.000000000 -0600
@@ -4,11 +4,11 @@
 PortSystem          1.0
 
 name                cyassl
-version             2.3.0
+version             2.9.4
 categories          devel security
 platforms           darwin
 maintainers         yassl.com:chris
-homepage            http://www.yassl.com/yaSSL/Products-cyassl.html
+homepage            http://www.wolfssl.com/yaSSL/Products-cyassl.html
 license             GPL-2
 description         CyaSSL Embedded SSL Library
 
@@ -18,44 +18,71 @@
     because of its small size, speed, and feature set.  It is commonly \
     used in standard operating environments as well because of its \
     royalty-free pricing and excellent cross platform support.  CyaSSL \
-    supports industry standards up to the current TLS 1.2 level, is up \
-    to 20 times smaller than OpenSSL, and offers progressive ciphers such \
-    as HC-128, RABBIT, and NTRU.
+    supports industry standards up to the current TLS and DTLS 1.2 levels, \
+    is up to 20 times smaller than OpenSSL, and offers progressive ciphers \
+    such as HC-128, RABBIT, and NTRU.
 
-master_sites        http://www.yassl.com/
+master_sites        http://www.wolfssl.com/
 use_zip             yes
 
-checksums           md5     e73b50c95eae06a2fb4a7eb0183b21ab \
-                    sha1    920979641200fc5cde38de40b969459ff4a954fa \
-                    rmd160  567665bac4e749953e99a8feff268b66e57b6f96 \
-                    sha256  b597f1c55d3bc4556d9c37e98ca56da2a529e111164d97c650fb097ef0a0d461
+checksums           md5     87e42367e43983463d29191e42b27422 \
+                    sha1    64840f1bc6270874e2fc1bae2f88a728f567b1c4 \
+                    rmd160  0d28ab39121b3cc0af0bdcf06cdb0fbfe646ac6d \
+                    sha256  4c68a6157f3a197f6fbd07456506e0b4a65a38ec08441fb22265d188b69a49be
 
 configure.args      --enable-opensslExtra \
-                    --enable-fastmath \
+                    --enable-dtls \
+                    --enable-savesession \
+                    --enable-atomicuser \
+                    --enable-pkcallbacks \
                     --enable-aesgcm \
+                    --enable-aesccm \
+                    --enable-camellia \
+                    --enable-md2 \
+                    --enable-md4 \
+                    --enable-nullcipher \
                     --enable-ripemd \
+                    --enable-blake2 \
+                    --enable-sha384 \
                     --enable-sha512 \
-                    --enable-hc128 \
+                    --enable-sessioncerts \
                     --enable-keygen \
                     --enable-certgen \
+                    --enable-certreq \
+                    --enable-sep \
+                    --enable-hkdf \
+                    --enable-dsa \
+                    --enable-ecc \
+                    --enable-fpecc \
+                    --enable-eccencrypt \
+                    --enable-psk \
+                    --enable-pwdbased \
+                    --enable-hc128 \
+                    --enable-rabbit \
                     --enable-ocsp \
                     --enable-crl \
-                    --enable-crl-monitor
-
-post-patch {
-    if {[string match "*clang*" ${configure.compiler}]} {
-        reinplace "s|%cc|cc|g" ${worksrcpath}/ctaocrypt/src/asm.c
-    }
-}
+                    --enable-crl-monitor \
+                    --enable-sni \
+                    --enable-maxfragment \
+                    --enable-truncatedhmac \
+                    --enable-renegotiation-indication \
+                    --enable-supportedcurves \
+                    --enable-tlsx \
+                    --enable-pkcs7 \
+                    --enable-scep \
+                    --enable-testcert \
+                    --enable-fastmath \
+                    --enable-gcc-hardening \
+                    --enable-static \
 
 variant debug description {Enable CyaSSL debugging support} {
     configure.args-append \
         --enable-debug
 }
 
-variant dtls description {Enable CyaSSL DTLS} {
+variant aesni description {Enable CyaSSL Intel AES-NI suport, if available} {
     configure.args-append \
-        --enable-dtls
+        --enable-aesni
 }
 
 variant sniffer description {Enable CyaSSL sniffer support} {