--- Portfile.orig	2014-04-09 15:14:02.000000000 -0400
+++ Portfile	2014-04-17 21:15:45.000000000 -0400
@@ -5,8 +5,7 @@
 
 name                    arb
 epoch                   1
-version                 5.5
-revision                2
+version                 6.0-rc1
 categories              science
 maintainers             mac.com:matt.cottrell
 platforms               darwin
@@ -24,14 +23,15 @@
                         (http://tech.groups.yahoo.com/group/arb_users/). Citation: Wolfgang Ludwig, et al. (2004) ARB: a software environment \
                         for sequence data. Nucleic Acids Research. 32:1363-1371.
 
-master_sites            http://download.arb-home.de/release/arb_${version}/
-distname                arbsrc
+license                 Restrictive/Distributable
+
+master_sites            http://download.arb-home.de/build/$name-${version}/
+distname                arb-${version}-source-hotfix1
 extract.suffix          .tgz
-dist_subdir             ${name}/${version}
-worksrcdir              arbsrc_9167
+worksrcdir              arbsrc_11977
 
-checksums               rmd160  f8b7b12cd9259b1b0f7cbbc29aca4f85585e8b9f \
-                        sha256  25246355ccaebff2e3350a553732636896f0f9f21eca3bb2bcf75cbeb7ac92a9
+checksums               rmd160  9ef6edf8e2e386794cfc204519bb00f4394549ee \
+                        sha256  cb9bcbd999d6f8b3c06bde70a1d1e5a61ca564e80c16da4bb01bb7820f396e10
 
 depends_build           port:imake \
                         port:makedepend
@@ -45,14 +45,16 @@
                         port:xfig \
                         port:gv \
                         port:xorg-libXaw \
-                        port:gtime
+                        port:gtime \
+                        path:lib/pkgconfig/glib-2.0.pc:glib2 \
+                        port:coreutils
+
+
 
 patchfiles              patch-ARB-config.makefile.diff \
                         patch-ARB-intro.fig.diff \
-                        patch-ARB-glpng.h.diff \
-                        patch-ARB-glpng.c.diff \
-                        patch-ARB-RNA3D_Textures.cxx.diff \
-                        patch-ARB-Makefile.diff
+                        patch-ARB-arb.diff \
+                        patch-ARB-ARBDB.diff
 
 configure               {
                         if {${build_arch} eq "ppc" || ${build_arch} eq "i386"} {
@@ -63,43 +65,15 @@
 
                         file copy ${worksrcpath}/config.makefile.template ${worksrcpath}/config.makefile
                         reinplace "s|@@64BIT@@|${is64bit}|g" ${worksrcpath}/config.makefile
-                        file copy ${filespath}/arb_macsetup ${worksrcpath}/bin
-                        reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/bin/arb_macsetup ${worksrcpath}/SH/arb
-                        reinplace "s|@@GPP@@|${configure.cxx}|g" ${worksrcpath}/PERL2ARB/DARWIN.PL
-                        reinplace "s|@@LIBPERLDIR@@|[exec ${prefix}/bin/perl -e "use Config; print \$Config{archlib};"]/CORE|g" ${worksrcpath}/PERL2ARB/DARWIN.PL
-                        reinplace -locale C "s| sed | gsed |g" ${worksrcpath}/GDEHELP/MENUS/align.menu \
-                                                     ${worksrcpath}/util/arb_check_build_env.pl \
-                                                     ${worksrcpath}/arb_install.sh \
-                                                     ${worksrcpath}/WINDOW/AW_status.cxx \
-                                                     ${worksrcpath}/SH/example_batch_probe_match.sh \
-                                                     ${worksrcpath}/GDEHELP/genhelp.sh \
-                                                     ${worksrcpath}/GDEHELP/genhelptree.sh \
-                                                     ${worksrcpath}/SOURCE_TOOLS/make_java_dependencies.sh \
-                                                     ${worksrcpath}/HELP_SOURCE/Makefile \
-                                                     ${worksrcpath}/AISC_COM/AISC/Makefile \
-                                                     ${worksrcpath}/GDEHELP/Makefile \
-                                                     ${worksrcpath}/HELP_SOURCE/genhelp/Makefile \
-                                                     ${worksrcpath}/GDEHELP/Makefile.helpfiles
+                        reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/SH/arb_macsetup
 }
 
 build.env-append        PREFIX=${prefix} \
                         ARBHOME=${worksrcpath} \
                         PATH=${worksrcpath}/bin:$env(PATH)
 
-# https://trac.macports.org/ticket/33756
-compiler.blacklist      *clang*
-
-platform darwin {
-    if {${os.major} >= 13} {
-        depends_lib
-        depends_run
-        pre-fetch {
-            ui_error "$name does not build on Mavericks or later."
-            error "unsupported platform"
-        }
-    }
-}
-
+compiler.blacklist *llvm-gcc-4.2
+                        
 build.args              GCC=${configure.cc} \
                         GPP=${configure.cxx}
 
@@ -126,7 +100,6 @@
                         ln -s ${prefix}/bin/arb_name_server ${destroot}${prefix}/share/arb/bin/arb_name_server
 
                         xinstall -m 777 -d ${destroot}${prefix}/share/arb/lib/pts
-
 }
 
 # to be investigated later
@@ -223,5 +196,5 @@
 "
 
 livecheck.type          regex
-livecheck.url           http://download.arb-home.de/release/
-livecheck.regex         ${name}_(\[0-9.\]+)/
+livecheck.url           http://download.arb-home.de/build/
+livecheck.regex         ${name}-(\[0-9.\]+)-rc1-source/${extract.suffix}