Only in Pallet: .DS_Store
Binary files Pallet_orig/.svn/wc.db and Pallet/.svn/wc.db differ
diff -ru Pallet_orig/Pallet.xcodeproj/project.pbxproj Pallet/Pallet.xcodeproj/project.pbxproj
--- Pallet_orig/Pallet.xcodeproj/project.pbxproj	2015-03-09 04:25:17.000000000 -0700
+++ Pallet/Pallet.xcodeproj/project.pbxproj	2015-03-09 04:42:10.000000000 -0700
@@ -443,6 +443,9 @@
 /* Begin PBXProject section */
 		29B97313FDCFA39411CA2CEA /* Project object */ = {
 			isa = PBXProject;
+			attributes = {
+				LastUpgradeCheck = 0510;
+			};
 			buildConfigurationList = C01FCF4E08A954540054247B /* Build configuration list for PBXProject "Pallet" */;
 			compatibilityVersion = "Xcode 3.1";
 			developmentRegion = English;
@@ -728,7 +731,7 @@
 				INFOPLIST_FILE = Info.plist;
 				INSTALL_PATH = "$(HOME)/Applications";
 				PRODUCT_NAME = Pallet;
-				SDKROOT = macosx10.5;
+				SDKROOT = macosx10.8;
 			};
 			name = Debug;
 		};
@@ -750,7 +753,7 @@
 				INFOPLIST_FILE = Info.plist;
 				INSTALL_PATH = "$(HOME)/Applications";
 				PRODUCT_NAME = Pallet;
-				SDKROOT = macosx10.5;
+				SDKROOT = macosx10.8;
 			};
 			name = "Debug-InstallMacPorts";
 		};
@@ -763,29 +766,31 @@
 					"\"$(SRCROOT)/../MacPorts_Framework/build\"",
 					"\"$(SRCROOT)/Growl-1.2.1-Framework\"",
 				);
-				GCC_ENABLE_OBJC_GC = required;
+				GCC_ENABLE_OBJC_GC = unsupported;
 				GCC_MODEL_TUNING = G5;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = Pallet_Prefix.pch;
 				INFOPLIST_FILE = Info.plist;
 				INSTALL_PATH = "$(HOME)/Applications";
 				PRODUCT_NAME = Pallet;
-				SDKROOT = macosx10.5;
+				SDKROOT = macosx10.8;
 			};
 			name = Release;
 		};
 		21FC211D0FE84F7F00B1E835 /* Debug-InstallMacPorts */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(ARCHS_STANDARD_32_64_BIT)";
+				ARCHS = "$(ARCHS_STANDARD)";
+				FRAMEWORK_SEARCH_PATHS = "";
 				GCC_C_LANGUAGE_STANDARD = c99;
-				GCC_ENABLE_OBJC_GC = required;
+				GCC_ENABLE_OBJC_GC = unsupported;
 				GCC_OPTIMIZATION_LEVEL = 0;
 				GCC_WARN_ABOUT_RETURN_TYPE = YES;
 				GCC_WARN_UNUSED_VARIABLE = YES;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				ONLY_ACTIVE_ARCH = NO;
 				PREBINDING = NO;
-				SDKROOT = macosx10.5;
+				SDKROOT = macosx10.8;
 			};
 			name = "Debug-InstallMacPorts";
 		};
@@ -809,7 +814,7 @@
 				INFOPLIST_FILE = Info.plist;
 				INSTALL_PATH = "$(HOME)/Applications";
 				PRODUCT_NAME = Pallet;
-				SDKROOT = macosx10.5;
+				SDKROOT = macosx10.8;
 			};
 			name = "Debug-InstallMacPorts";
 		};
@@ -831,7 +836,7 @@
 				INFOPLIST_FILE = Info.plist;
 				INSTALL_PATH = "$(HOME)/Applications";
 				PRODUCT_NAME = Pallet;
-				SDKROOT = macosx10.5;
+				SDKROOT = macosx10.8;
 			};
 			name = Debug;
 		};
@@ -846,41 +851,45 @@
 					"\"$(SRCROOT)/../MacPorts_Framework/build/Release\"",
 					"\"$(SRCROOT)/Growl-1.2.1-Framework\"",
 				);
-				GCC_ENABLE_OBJC_GC = required;
+				GCC_ENABLE_OBJC_GC = unsupported;
 				GCC_MODEL_TUNING = G5;
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = Pallet_Prefix.pch;
 				INFOPLIST_FILE = Info.plist;
 				INSTALL_PATH = "$(HOME)/Applications";
 				PRODUCT_NAME = Pallet;
-				SDKROOT = macosx10.5;
+				SDKROOT = macosx10.8;
 			};
 			name = Release;
 		};
 		C01FCF4F08A954540054247B /* Debug */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(ARCHS_STANDARD_32_64_BIT)";
+				ARCHS = "$(ARCHS_STANDARD)";
+				FRAMEWORK_SEARCH_PATHS = "";
 				GCC_C_LANGUAGE_STANDARD = c99;
-				GCC_ENABLE_OBJC_GC = required;
+				GCC_ENABLE_OBJC_GC = unsupported;
 				GCC_OPTIMIZATION_LEVEL = 0;
 				GCC_WARN_ABOUT_RETURN_TYPE = YES;
 				GCC_WARN_UNUSED_VARIABLE = YES;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				ONLY_ACTIVE_ARCH = NO;
 				PREBINDING = NO;
-				SDKROOT = macosx10.5;
+				SDKROOT = macosx10.8;
 			};
 			name = Debug;
 		};
 		C01FCF5008A954540054247B /* Release */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = "$(ARCHS_STANDARD_32_64_BIT)";
+				ARCHS = "$(ARCHS_STANDARD)";
+				FRAMEWORK_SEARCH_PATHS = "";
 				GCC_C_LANGUAGE_STANDARD = c99;
 				GCC_WARN_ABOUT_RETURN_TYPE = YES;
 				GCC_WARN_UNUSED_VARIABLE = YES;
+				MACOSX_DEPLOYMENT_TARGET = 10.6;
 				PREBINDING = NO;
-				SDKROOT = macosx10.5;
+				SDKROOT = macosx10.8;
 			};
 			name = Release;
 		};
Only in Pallet/Pallet.xcodeproj: project.xcworkspace
Only in Pallet/Pallet.xcodeproj: xcuserdata