Index: llvm-3.4/Portfile
===================================================================
--- llvm-3.4/Portfile	(revision 120456)
+++ llvm-3.4/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 set llvm_version        3.4
 set llvm_version_no_dot 34
-revision                2
+revision                3
 name                    llvm-${llvm_version}
 subport                 clang-${llvm_version} {}
 set suffix              mp-${llvm_version}
@@ -56,6 +56,7 @@
 #
 #set compiler_rt_rev     ${svn.revision}
 #set libcxx_rev          ${svn.revision}
+#set clang-modernize_rev ${svn.revision}
 #version                 ${llvm_version}-r${svn.revision}
 #worksrcdir              trunk
 #svn.url                 http://llvm.org/svn/llvm-project/llvm/trunk
@@ -76,7 +77,7 @@
             distfiles-append     polly-${version}.src${extract.suffix}
         }
     } elseif {${subport} == "clang-${llvm_version}"} {
-        distfiles-append     clang-${version}.src${extract.suffix} compiler-rt-${version}.src${extract.suffix} libcxx-${version}.src${extract.suffix}
+        distfiles-append     clang-${version}.src${extract.suffix} compiler-rt-${version}.src${extract.suffix} libcxx-${version}.src${extract.suffix} clang-tools-extra-${version}.src${extract.suffix}
     }
 }
 
@@ -94,7 +95,10 @@
                     sha256  f37c89b1383ce462d47537a0245ac798600887a9be9f63073e16b79ed536ab5c \
                     libcxx-3.4.src.tar.gz \
                     rmd160  146a49dc0ae9635f87b13038d36ad816b7245666 \
-                    sha256  bd9f200279f0eb19fc28ed2d9d607dfd38e2e7d92bf52e7fb2161f89212e0deb
+                    sha256  bd9f200279f0eb19fc28ed2d9d607dfd38e2e7d92bf52e7fb2161f89212e0deb \
+                    clang-tools-extra-3.4.src.tar.gz \
+                    rmd160  8af0af0ead94bd50b1e6cbdcde5c4770bba5de0d \
+                    sha256  ba85187551ae97fe1c8ab569903beae5ff0900e21233e5eb5389f6ceab1028b4
 
 patchfiles      install_target.patch \
                 tiger-shlib.patch
@@ -105,6 +109,7 @@
     patchfiles-append    tiger-shlib-clang.patch tiger-libclang.patch scan-build-PR-35006.patch \
                          0001-Comment-out-SL-cctools-workaround.patch \
                          clang-format.patch \
+                         clang-modernize.patch \
                          snowleopard-cmath.patch
 
     build.target        clang-only
@@ -210,14 +215,17 @@
             system "cd ${worksrcpath}/tools && svn co -r ${svn.revision} http://llvm.org/svn/llvm-project/cfe/trunk clang"
             system "cd ${worksrcpath}/projects && svn co -r ${compiler_rt_rev} http://llvm.org/svn/llvm-project/compiler-rt/trunk compiler-rt"
             system "cd ${worksrcpath}/projects && svn co -r ${libcxx_rev} http://llvm.org/svn/llvm-project/libcxx/trunk libcxx"
+            system "cd ${worksrcpath}/tools/clang/tools && svn co -r ${clang-modernize_rev} http://llvm.org/svn/llvm-project/clang-tools-extra/trunk extra"
         } elseif {${worksrcdir} == "release_${llvm_version_no_dot}" } {
             system "cd ${worksrcpath}/tools && svn co -r ${svn.revision} http://llvm.org/svn/llvm-project/cfe/branches/release_${llvm_version_no_dot} clang"
             system "cd ${worksrcpath}/projects && svn co -r ${compiler_rt_rev} http://llvm.org/svn/llvm-project/compiler-rt/branches/release_${llvm_version_no_dot} compiler-rt"
             system "cd ${worksrcpath}/projects && svn co -r ${libcxx_rev} http://llvm.org/svn/llvm-project/libcxx/branches/release_${llvm_version_no_dot} libcxx"
+            system "cd ${worksrcpath}/tools/clang/tools && svn co -r ${clang-modernize_rev} http://llvm.org/svn/llvm-project/clang-tools-extra/branches/release_${llvm_version_no_dot} extra"
         } else {
             file rename ${workpath}/clang-${llvm_version} ${worksrcpath}/tools/clang
             file rename ${workpath}/compiler-rt-${llvm_version} ${worksrcpath}/projects/compiler-rt
             file rename ${workpath}/libcxx-${llvm_version} ${worksrcpath}/projects/libcxx
+            file rename ${workpath}/clang-tools-extra-${llvm_version} ${worksrcpath}/tools/clang/tools/extra
         }
     }
 }
Index: llvm-3.4/files/clang-modernize.patch
===================================================================
--- llvm-3.4/files/clang-modernize.patch	(revision 0)
+++ llvm-3.4/files/clang-modernize.patch	(working copy)
@@ -0,0 +1,13 @@
+--- a/Makefile	2014-05-29 08:40:41.000000000 -0500
++++ b/Makefile	2014-05-29 08:41:52.000000000 -0500
+@@ -72,7 +72,9 @@
+           tools/clang/tools/c-index-test \
+           tools/clang/runtime tools/clang/docs \
+           tools/clang/include tools/clang/lib \
+-          tools/clang/tools/clang-format
++          tools/clang/tools/clang-format \
++          tools/clang/tools/extra/clang-modernize \
++          tools/clang/tools/extra/clang-apply-replacements
+   OPTIONAL_DIRS :=
+   NO_INSTALL = 1
+ endif
Index: llvm-3.4/files/mp-clang-3.4
===================================================================
--- llvm-3.4/files/mp-clang-3.4	(revision 120456)
+++ llvm-3.4/files/mp-clang-3.4	(working copy)
@@ -2,6 +2,6 @@
 bin/clang++-mp-3.4
 bin/clang-mp-3.4
 bin/clang-format-mp-3.4
--
+bin/clang-modernize-mp-3.4
 bin/scan-build-mp-3.4
 bin/scan-view-mp-3.4
Index: llvm-3.5/Portfile
===================================================================
--- llvm-3.5/Portfile	(revision 120456)
+++ llvm-3.5/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 set llvm_version        3.5
 set llvm_version_no_dot 35
-revision                1
+revision                2
 name                    llvm-${llvm_version}
 subport                 clang-${llvm_version} {}
 set suffix              mp-${llvm_version}
@@ -57,6 +57,7 @@
 
 set compiler_rt_rev     ${svn.revision}
 set libcxx_rev          ${svn.revision}
+set clang-modernize_rev ${svn.revision}
 version                 ${llvm_version}-r${svn.revision}
 worksrcdir              trunk
 svn.url                 http://llvm.org/svn/llvm-project/llvm/trunk
@@ -77,7 +78,7 @@
             distfiles-append     polly-${version}.src${extract.suffix}
         }
     } elseif {${subport} == "clang-${llvm_version}"} {
-        distfiles-append     clang-${version}.src${extract.suffix} compiler-rt-${version}.src${extract.suffix} libcxx-${version}.src${extract.suffix}
+        distfiles-append     clang-${version}.src${extract.suffix} compiler-rt-${version}.src${extract.suffix} libcxx-${version}.src${extract.suffix} clang-tools-extra-${version}.src${extract.suffix}
     }
 }
 
@@ -89,6 +90,7 @@
     patchfiles-append    scan-build-PR-35006.patch \
                          0001-Comment-out-SL-cctools-workaround.patch \
                          clang-format.patch \
+                         clang-modernize.patch \
                          snowleopard-cmath.patch
 
     build.target        clang-only
@@ -214,14 +216,17 @@
             system "cd ${worksrcpath}/tools && svn co -r ${svn.revision} http://llvm.org/svn/llvm-project/cfe/trunk clang"
             system "cd ${worksrcpath}/projects && svn co -r ${compiler_rt_rev} http://llvm.org/svn/llvm-project/compiler-rt/trunk compiler-rt"
             system "cd ${worksrcpath}/projects && svn co -r ${libcxx_rev} http://llvm.org/svn/llvm-project/libcxx/trunk libcxx"
+            system "cd ${worksrcpath}/tools/clang/tools && svn co -r ${clang-modernize_rev} http://llvm.org/svn/llvm-project/clang-tools-extra/trunk extra"
         } elseif {${worksrcdir} == "release_${llvm_version_no_dot}" } {
             system "cd ${worksrcpath}/tools && svn co -r ${svn.revision} http://llvm.org/svn/llvm-project/cfe/branches/release_${llvm_version_no_dot} clang"
             system "cd ${worksrcpath}/projects && svn co -r ${compiler_rt_rev} http://llvm.org/svn/llvm-project/compiler-rt/branches/release_${llvm_version_no_dot} compiler-rt"
             system "cd ${worksrcpath}/projects && svn co -r ${libcxx_rev} http://llvm.org/svn/llvm-project/libcxx/branches/release_${llvm_version_no_dot} libcxx"
+            system "cd ${worksrcpath}/tools/clang/tools && svn co -r ${clang-modernize_rev} http://llvm.org/svn/llvm-project/clang-tools-extra/branches/release_${llvm_version_no_dot} extra"
         } else {
             file rename ${workpath}/clang-${llvm_version} ${worksrcpath}/tools/clang
             file rename ${workpath}/compiler-rt-${llvm_version} ${worksrcpath}/projects/compiler-rt
             file rename ${workpath}/libcxx-${llvm_version} ${worksrcpath}/projects/libcxx
+            file rename ${workpath}/clang-tools-extra-${llvm_version} ${worksrcpath}/tools/clang/tools/extra
         }
     }
 }
Index: llvm-3.5/files/clang-modernize.patch
===================================================================
--- llvm-3.5/files/clang-modernize.patch	(revision 0)
+++ llvm-3.5/files/clang-modernize.patch	(working copy)
@@ -0,0 +1,13 @@
+--- a/Makefile	2014-05-29 08:40:41.000000000 -0500
++++ b/Makefile	2014-05-29 08:41:52.000000000 -0500
+@@ -72,7 +72,9 @@
+           tools/clang/tools/c-index-test \
+           tools/clang/runtime tools/clang/docs \
+           tools/clang/include tools/clang/lib \
+-          tools/clang/tools/clang-format
++          tools/clang/tools/clang-format \
++          tools/clang/tools/extra/clang-modernize \
++          tools/clang/tools/extra/clang-apply-replacements
+   OPTIONAL_DIRS :=
+   NO_INSTALL = 1
+ endif
Index: llvm-3.5/files/mp-clang-3.5
===================================================================
--- llvm-3.5/files/mp-clang-3.5	(revision 120456)
+++ llvm-3.5/files/mp-clang-3.5	(working copy)
@@ -2,6 +2,6 @@
 bin/clang++-mp-3.5
 bin/clang-mp-3.5
 bin/clang-format-mp-3.5
--
+bin/clang-modernize-mp-3.5
 bin/scan-build-mp-3.5
 bin/scan-view-mp-3.5