Index: Portfile
===================================================================
--- Portfile	(revision 120681)
+++ Portfile	(working copy)
@@ -9,21 +9,18 @@
 PortGroup           github 1.0
 PortGroup           select 1.0
 
-# TODO:
-# - try to figure out if one could also build root6 on < 10.9
-# - version 5.99.06-beta is broken also on 10.9
-#if {${os.major} < 13 } {
-github.setup        root-mirror root e3dec6e203
-version             5.99.05-beta
-checksums           rmd160  69f6a99413908eed7789bc30939a621f45eac7a2 \
-                    sha256  10f2956cd821471477a351c01355c2eb802c01e046764d18865e7416dfa810f8
-#} else {
-#   github.setup    root-mirror root 5-99-06 v
-#   version         5.99.06-beta
-#   checksums       rmd160  b8b5ae705aae185c0d6ed097a5efa6fbeb961bfb \
-#                   sha256  c873d536769ff06616c0a9981e7f1db2414eaca0a1bcab045d4073b36644981a
-#}
+# The official 6.00.00 release
+#github.setup        root-mirror root 6-00-00 v
+#version             6.00.00
+#checksums           rmd160  d6c67868a2f4a4dcb649b45b8c959abca27da11a \
+#                    sha256  4bc0f98b7dff32099e2844dd12bb8ec05b76ba899fdeb0848d9c013416606586
 
+# Essentially 6.00.00, but with some bug fixes to the build system...
+github.setup        root-mirror root aaf9b65
+version             6.00.00
+checksums           rmd160  e0b7080d897469f421dd5ee44ca570a4774dc5d4 \
+                    sha256  58692b7e2c970df5eac0dd298ab7d1ac5352e4ed549d61c29578d71915e831be
+
 name                root6
 set version_major   6
 categories          science
@@ -33,9 +30,8 @@
 description         ROOT is a data analysis framework from CERN
 long_description    The ROOT system provides a set of frameworks with all \
                     the functionality needed to handle and analyze large amounts \
-                    of data in a very efficient way. This version provides a build \
-                    of a snapshot of the ROOT 6 development version. \
-                    For a stable release install the root port instead.
+                    of data in a very efficient way. ROOT6 is a development release, \
+                    for a more stable release install the ROOT5 port instead.
 
 homepage            http://root.cern.ch/
 platforms           darwin
@@ -168,8 +164,6 @@
     ln -s ${install_prefix}/etc/root ${destroot}${prefix}/etc/root${version_major}
     # share dir
     ln -s ${install_prefix}/share ${destroot}${prefix}/share/root${version_major}
-    # 'Fix' genreflex
-    #reinplace "s|lib/python/genreflex|lib/root${version_major}/python/genreflex|g" ${destroot}${install_prefix}/bin/genreflex
     # Compress manpages in custom location (borrowed from mariadb)
     set manpath ${install_prefix}/share/man
     set gzip [findBinary gzip ${portutil::autoconf::gzip_path}]
@@ -219,13 +213,13 @@
 }
 
 # TODO - Doesn't seem to work. To be reported upstream..
-# variant xrootd description {Build with XRootD support} {
-#   system "export XRDSYS=${prefix}/lib"
-#   configure.args-replace  -Dxrootd=OFF -Dxrootd=ON
-#  #configure.args-append   -Dbuiltin_xrootd=ON
-#   configure.args-append   -DXROOTD_INCLUDE_DIR="${prefix}/include/xrootd"
-#   depends_lib-append      port:xrootd
-# }
+variant xrootd description {Build with XRootD support} {
+ #system "export XRDSYS=${prefix}/lib"
+  configure.args-replace  -Dxrootd=OFF -Dxrootd=ON
+ #configure.args-append   -Dbuiltin_xrootd=ON
+  configure.args-append   -DXROOTD_INCLUDE_DIR="${prefix}/include/xrootd"
+  depends_lib-append      port:xrootd
+}
 
 variant soversion description {Build with soversion support} {
     configure.args-replace  -Dsoversion=OFF -Dsoversion=ON
@@ -431,13 +425,12 @@
 #     depends_lib-append     port:oracle-instantclient
 # }
 
-# TODO - Doesn't seem to work. To be reported upstream..
-# variant pythia description {Pythia 8 support for root} {
-#     configure.args-replace  -Dpythia8=OFF -Dpythia8=ON
-#     configure.args-append   -DPYTHIA8_INCLUDE_DIR=${prefix}/include \
-#                             -DPYTHIA8_LIBRARY=${prefix}/lib/libpythia8.dylib
-#     depends_lib-append      port:pythia
-# }
+variant pythia description {Enables Pythia 8 support} {
+    configure.args-replace  -Dpythia8=OFF -Dpythia8=ON
+    configure.args-append   -DPYTHIA8_INCLUDE_DIR=${prefix}/include/pythia \
+                            -DPYTHIA8_LIBRARY=${prefix}/lib/libpythia8.dylib
+    depends_lib-append      port:pythia
+}
 
 variant cocoa conflicts x11 description {Enables native OSX graphical backend} {
     # Enable cocoa support in configure