Index: databases/couchdb/Portfile
===================================================================
--- databases/couchdb/Portfile	(revision 120816)
+++ databases/couchdb/Portfile	(working copy)
@@ -7,6 +7,7 @@
 name                    couchdb
 conflicts               couchdb-devel
 version                 1.5.1
+revision                 1
 
 categories              databases
 platforms               darwin
Index: databases/couchdb-devel/Portfile
===================================================================
--- databases/couchdb-devel/Portfile	(revision 120816)
+++ databases/couchdb-devel/Portfile	(working copy)
@@ -7,7 +7,7 @@
 name                    couchdb-devel
 conflicts               couchdb
 version                 1.4.0a-20130330
-revision                1
+revision                2
 
 categories              databases
 platforms               darwin
Index: databases/openldap/Portfile
===================================================================
--- databases/openldap/Portfile	(revision 120816)
+++ databases/openldap/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name            openldap
 version         2.4.31
-revision        4
+revision        5
 categories      databases
 maintainers     landonf
 license         openldap
Index: devel/boost/Portfile
===================================================================
--- devel/boost/Portfile	(revision 120817)
+++ devel/boost/Portfile	(working copy)
@@ -10,7 +10,7 @@
 
 name            boost
 version         1.55.0
-revision        2
+revision        3
 license         Boost-1
 categories      devel
 platforms       darwin
Index: devel/libphonenumber-cpp/Portfile
===================================================================
--- devel/libphonenumber-cpp/Portfile	(revision 120817)
+++ devel/libphonenumber-cpp/Portfile	(working copy)
@@ -6,6 +6,7 @@
 
 name                libphonenumber-cpp
 version             5.7.2
+revision             1
 license             Apache-2.0
 description         Google's C++ library for parsing, formatting, storing \
                     and validating international phone numbers.
Index: games/openttd/Portfile
===================================================================
--- games/openttd/Portfile	(revision 120816)
+++ games/openttd/Portfile	(working copy)
@@ -13,6 +13,7 @@
 
 if {${name} eq ${subport}} {
     version             1.4.0
+    revision             1
     checksums           rmd160  1cef42f9378a2448dd7dc8aa683dcd540eef04f8 \
                         sha256  d85bcb89d499a177a904f627ce407a086db8b26bc9a021030ee7f5534fbe0955
 
@@ -76,6 +77,7 @@
 
 subport openttd-opengfx {
     version             0.4.7
+    revision             1
     checksums           rmd160  6f37ebe23e75137f204e5d13233cf7b92b28a9e0 \
                         sha256  10032c683f98b4d378c0651118a4858ae6d3f0a5059302dc3f96bfbfcdc67241
 
@@ -112,6 +114,7 @@
 
 subport openttd-opensfx {
     version             0.2.3
+    revision             1
     checksums           rmd160  426b641b5a29556598d8a3033b4c4dc5b98630ce \
                         sha256  6831b651b3dc8b494026f7277989a1d757961b67c17b75d3c2e097451f75af02
 
@@ -149,6 +152,7 @@
 
 subport openttd-openmsx {
     version             0.3.1
+    revision             1
     checksums           rmd160  8eff246e89e44f63ca480e9acef94a1da5fa81d2 \
                         sha256  92e293ae89f13ad679f43185e83fb81fb8cad47fe63f4af3d3d9f955130460f5
 
Index: genealogy/gramps/Portfile
===================================================================
--- genealogy/gramps/Portfile	(revision 120816)
+++ genealogy/gramps/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                    gramps
 version                 3.4.7
+revision                 1
 license                 GPL-2
 categories              genealogy python
 platforms               darwin
Index: gis/mapnik/Portfile
===================================================================
--- gis/mapnik/Portfile	(revision 120816)
+++ gis/mapnik/Portfile	(working copy)
@@ -5,7 +5,7 @@
 PortGroup           github 1.0
 
 github.setup        mapnik mapnik 2.2.0 v
-revision            1
+revision            2
 categories          gis devel
 license             LGPL-2.1
 platforms           darwin
Index: gnome/gnucash-devel/Portfile
===================================================================
--- gnome/gnucash-devel/Portfile	(revision 120816)
+++ gnome/gnucash-devel/Portfile	(working copy)
@@ -6,6 +6,7 @@
 name              gnucash-devel
 set my_name       gnucash
 version           2.5.5
+revision           1
 categories        gnome x11
 license           GPL-2+
 maintainers       dports openmaintainer
Index: graphics/harfbuzz/Portfile
===================================================================
--- graphics/harfbuzz/Portfile	(revision 120816)
+++ graphics/harfbuzz/Portfile	(working copy)
@@ -26,7 +26,7 @@
 configure.args      --disable-silent-rules
 
 if {${name} eq ${subport}} {
-    revision        0
+    revision        1
     
     depends_lib-append \
                     path:lib/pkgconfig/cairo.pc:cairo \
@@ -63,7 +63,7 @@
 }
 
 subport harfbuzz-icu {
-    revision        0
+    revision        1
     
     description     HarfBuzz ICU support library
     
Index: graphics/libcdr/Portfile
===================================================================
--- graphics/libcdr/Portfile	(revision 120816)
+++ graphics/libcdr/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name            libcdr
 version         0.0.16
+revision         1
 categories      graphics
 license         {GPL-2.1+ LGPL-2.1+ MPL-1.1+}
 maintainers     devans openmaintainer
Index: lang/parrot/Portfile
===================================================================
--- lang/parrot/Portfile	(revision 120816)
+++ lang/parrot/Portfile	(working copy)
@@ -4,7 +4,7 @@
 
 name                    parrot
 version                 3.3.0
-revision                3
+revision                4
 categories              lang devel
 license                 Artistic-2
 maintainers             bfulgham coleda.com:will l2g
Index: lang/php/Portfile
===================================================================
--- lang/php/Portfile	(revision 120816)
+++ lang/php/Portfile	(working copy)
@@ -517,7 +517,7 @@
 
 subport ${php}-gd {
     if {[vercmp ${php.branch} 5.4] < 0} {
-        revision            1
+        revision            2
     }
     
     categories-append       graphics
@@ -1163,7 +1163,7 @@
 if {${name} eq ${subport}} {
     # Set up the stub port.
     version             ${branch}
-    revision            0
+    revision            1
     supported_archs     noarch
     distfiles
     depends_run         port:${php}
Index: lang/v8/Portfile
===================================================================
--- lang/v8/Portfile	(revision 120816)
+++ lang/v8/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                    v8
 version                 3.23.17.23
+revision                 1
 
 platforms               darwin
 supported_archs         i386 x86_64
Index: math/R/Portfile
===================================================================
--- math/R/Portfile	(revision 120816)
+++ math/R/Portfile	(working copy)
@@ -12,6 +12,7 @@
 
 #Remember to remove revision line when bumping version
 version                     ${major}.${minor}.${point}
+revision                     1
 
 
 categories                  math science
Index: net/yaz/Portfile
===================================================================
--- net/yaz/Portfile	(revision 120816)
+++ net/yaz/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                yaz
 version             4.2.63
-revision            1
+revision            2
 categories          net databases devel
 platforms           darwin
 license             BSD
Index: news/tin-recent/Portfile
===================================================================
--- news/tin-recent/Portfile	(revision 120816)
+++ news/tin-recent/Portfile	(working copy)
@@ -73,7 +73,7 @@
 
 name                tin-recent
 version             1.9.6
-revision            6
+revision            7
 categories          news
 platforms           darwin
 maintainers         nomaintainer
Index: php/php5-intl/Portfile
===================================================================
--- php/php5-intl/Portfile	(revision 120816)
+++ php/php5-intl/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup       php5extension 1.0
 
 php5extension.setup intl 5.3.28 bundled
+revision 1
 categories      php devel
 platforms       darwin
 maintainers     ryandesign
Index: python/py-pyicu/Portfile
===================================================================
--- python/py-pyicu/Portfile	(revision 120816)
+++ python/py-pyicu/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name            py-pyicu
 version         1.5
-revision        3
+revision        4
 categories-append   textproc
 platforms       darwin
 maintainers     nomaintainer
Index: python/py26-mapnik/Portfile
===================================================================
--- python/py26-mapnik/Portfile	(revision 120816)
+++ python/py26-mapnik/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                 py26-mapnik
 version              0.7.1
-revision             12
+revision             13
 categories           python gis
 
 maintainers          gmail.com:dbsgeo
Index: science/gwyddion/Portfile
===================================================================
--- science/gwyddion/Portfile	(revision 120816)
+++ science/gwyddion/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                gwyddion
 version             2.36
+revision             1
 categories          science x11
 platforms           darwin
 license             gpl-2
Index: tex/texlive-bin/Portfile
===================================================================
--- tex/texlive-bin/Portfile	(revision 120816)
+++ tex/texlive-bin/Portfile	(working copy)
@@ -7,7 +7,7 @@
 
 name            texlive-bin
 version         2013
-revision        5
+revision        6
 
 categories      tex
 maintainers     dports
Index: textproc/cicada/Portfile
===================================================================
--- textproc/cicada/Portfile	(revision 120816)
+++ textproc/cicada/Portfile	(working copy)
@@ -5,6 +5,7 @@
 
 name                cicada
 version             0.3.4
+revision             1
 categories          textproc
 maintainers         hum openmaintainer
 
Index: textproc/dwdiff/Portfile
===================================================================
--- textproc/dwdiff/Portfile	(revision 120816)
+++ textproc/dwdiff/Portfile	(working copy)
@@ -4,6 +4,7 @@
 
 name                dwdiff
 version             2.0.9
+revision             1
 categories          textproc
 platforms           darwin
 maintainers         mww openmaintainer
Index: textproc/freeling/Portfile
===================================================================
--- textproc/freeling/Portfile	(revision 120816)
+++ textproc/freeling/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                freeling
 version             3.1
-revision            0
+revision            1
 categories          textproc devel
 platforms           darwin
 license             GPL-3+
Index: textproc/vislcg3/Portfile
===================================================================
--- textproc/vislcg3/Portfile	(revision 120816)
+++ textproc/vislcg3/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                    vislcg3
 version                 0.9.7.5129
-revision                5
+revision                6
 categories              textproc
 platforms               darwin
 maintainers             gmail.com:p.ixiemotion
Index: textproc/xercesc3/Portfile
===================================================================
--- textproc/xercesc3/Portfile	(revision 120816)
+++ textproc/xercesc3/Portfile	(working copy)
@@ -9,7 +9,7 @@
     conflicts-append libmemcached
 }
 version             3.1.1
-revision            6
+revision            7
 categories          textproc xml shibboleth
 maintainers         snc scantor
 license             Apache-2
Index: textproc/zorba/Portfile
===================================================================
--- textproc/zorba/Portfile	(revision 120816)
+++ textproc/zorba/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name            zorba
 version         2.2.0
-revision        2
+revision        3
 set branch      [join [lrange [split ${version} .] 0 1] .]
 license         Apache-2
 categories      textproc devel
Index: www/webkit-gtk/Portfile
===================================================================
--- www/webkit-gtk/Portfile	(revision 120816)
+++ www/webkit-gtk/Portfile	(working copy)
@@ -13,6 +13,7 @@
 name        webkit-gtk
 epoch       2
 version     2.4.3
+revision     1
 description Apple's WebKit HTML rendering library for GTK+
 long_description ${description}
 maintainers jeremyhu devans
Index: www/webkit-gtk-2.0/Portfile
===================================================================
--- www/webkit-gtk-2.0/Portfile	(revision 120816)
+++ www/webkit-gtk-2.0/Portfile	(working copy)
@@ -8,7 +8,7 @@
 
 name        webkit-gtk-2.0
 version     2.0.4
-revision    2
+revision    3
 description Apple's WebKit HTML rendering library for GTK+
 long_description ${description}
 maintainers jeremyhu devans
Index: www/webkit-gtk-devel/Portfile
===================================================================
--- www/webkit-gtk-devel/Portfile	(revision 120816)
+++ www/webkit-gtk-devel/Portfile	(working copy)
@@ -13,6 +13,7 @@
 name        webkit-gtk-devel
 epoch       2
 version     2.4.3
+revision     1
 description Apple's WebKit HTML rendering library for GTK+
 long_description ${description}
 maintainers jeremyhu devans